//
//  ViewController.m
//  AnimateQueueSample
//
//  Created by Derek on 7/8/13.
//  Copyright (c) 2013 Derek. All rights reserved.
//

#import "ViewController.h"
#import "AnimationQueue.h"
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    _demoView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 50, 50)];
    [self.view addSubview:_demoView];

	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (IBAction)start:(id)sender{
        
    AnimationQueue *aq = [[AnimationQueue alloc] init];
    [aq addAnimation:3 animations:^{
        _demoView.backgroundColor = [UIColor blueColor];
        _demoView.frame = CGRectMake(CGRectGetWidth(self.view.frame)-50, 0, 50, 50);
    }];
    [aq addAnimation:3 animations:^{
        _demoView.backgroundColor = [UIColor redColor];
        _demoView.frame = CGRectMake(CGRectGetWidth(self.view.frame)-50, CGRectGetHeight(self.view.frame)-50, 50, 50);
    }];
    [aq addAnimation:3 animations:^{
        _demoView.backgroundColor = [UIColor greenColor];
        _demoView.frame = CGRectMake(0, CGRectGetHeight(self.view.frame)-50, 50, 50);
    }];
    
    [aq addAnimation:3 animations:^{
        _demoView.backgroundColor = [UIColor yellowColor];
        _demoView.frame = CGRectMake(0, 0, 50, 50);
    }];
    
    [aq start];
}
@end
